Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.jndi
Class DelegatingContextFactory

    java.lang.Object
      org.jboss.embedded.jndi.DelegatingContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

Direct Known Subclasses:
  TomcatBridgeContextFactory

    public abstract class DelegatingContextFactory

extends java.lang.Object
implements javax.naming.spi.InitialContextFactory

abstract class that delegates to a different initial context factory Allows you to reuse other JBoss context factories like the security one.

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY_DEFAULT`
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY_DELEGATE`

Constructor Summary
`DelegatingContextFactory()`

Method Summary
`protected org.jnp.interfaces.NamingContextFactory` | `getDelegate(java.util.Hashtable env)`
`javax.naming.Context` | `getInitialContext(java.util.Hashtable env)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CONTEXT_FACTORY_DELEGATE

    public static final java.lang.String INITIAL_CONTEXT_FACTORY_DELEGATE

See Also:
  Constant Field Values

### INITIAL_CONTEXT_FACTORY_DEFAULT

    public static final java.lang.String INITIAL_CONTEXT_FACTORY_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### DelegatingContextFactory

    public DelegatingContextFactory()

Method Detail

### getDelegate

    protected org.jnp.interfaces.NamingContextFactory getDelegate(java.util.Hashtable env)
                                                           throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable env)
                                           throws javax.naming.NamingException

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD